org.apache.commons.configuration2.builder.fluent

## Interface PropertiesBuilderParameters

- All Superinterfaces:
    BasicBuilderProperties<PropertiesBuilderParameters>, BuilderParameters, FileBasedBuilderProperties<PropertiesBuilderParameters>, PropertiesBuilderProperties<PropertiesBuilderParameters>

      public interface PropertiesBuilderParameters
      extends BasicBuilderProperties<PropertiesBuilderParameters>, FileBasedBuilderProperties<PropertiesBuilderParameters>, PropertiesBuilderProperties<PropertiesBuilderParameters>, BuilderParameters

  Definition of a parameters interface providing a fluent API for setting all properties for a properties configuration.

  Important note: This interface is not intended to be implemented by client code! It defines a set of available properties and may be extended even in minor releases.

  Since:
    2.0
  Version:
    $Id: PropertiesBuilderParameters.java 1624757 2014-09-13 15:47:43Z oheger $

- - ### Field Summary

    - ### Fields inherited from interface org.apache.commons.configuration2.builder.BuilderParameters

      `RESERVED_PARAMETER_PREFIX`

  - ### Method Summary

    - ### Methods inherited from interface org.apache.commons.configuration2.builder.BasicBuilderProperties

      `setBeanHelper, setConfigurationDecoder, setConversionHandler, setDefaultLookups, setInterpolator, setListDelimiterHandler, setLogger, setParentInterpolator, setPrefixLookups, setSynchronizer, setThrowExceptionOnMissing`

    - ### Methods inherited from interface org.apache.commons.configuration2.builder.FileBasedBuilderProperties

      `setBasePath, setEncoding, setFile, setFileName, setFileSystem, setLocationStrategy, setPath, setReloadingDetectorFactory, setReloadingRefreshDelay, setURL`

    - ### Methods inherited from interface org.apache.commons.configuration2.builder.PropertiesBuilderProperties

      `setIncludesAllowed, setIOFactory, setLayout`

    - ### Methods inherited from interface org.apache.commons.configuration2.builder.BuilderParameters

      `getParameters`

Copyright © 2001–2015 The Apache Software Foundation. All rights reserved.